Bug 611059 - Screen artifacts in KDE with nouveau
Screen artifacts in KDE with nouveau
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 07:13 EDT by Alexei Panov
Modified: 2011-06-08 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-08 18:33:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with nouveau driver (210.15 KB, image/jpeg)
2010-07-03 07:13 EDT, Alexei Panov
no flags Details
Normal view with nvidia (or vesa) (210.11 KB, image/jpeg)
2010-07-03 07:14 EDT, Alexei Panov
no flags Details
improperly rendered last card in right-most column (62.25 KB, image/png)
2010-07-03 10:15 EDT, Steven Usdansky
no flags Details

  None (edit)
Description Alexei Panov 2010-07-03 07:13:18 EDT
Created attachment 429247 [details]
screenshot with nouveau driver

Description of problem:
On-screen artifacts often appear in KDE when using driver nouveau

Version-Release number of selected component (if applicable):
0.0.16-7.20100423git13c1043

How reproducible:
No, the bug appears regardless of anything.
See screenshots
  
Actual results:
blurred images

Expected results:
normal view

Additional info:
if use vesa or nvidia view is normal.
Comment 1 Alexei Panov 2010-07-03 07:14:09 EDT
Created attachment 429248 [details]
Normal view with nvidia (or vesa)
Comment 2 Steven Usdansky 2010-07-03 10:15:02 EDT
Created attachment 429264 [details]
improperly rendered last card in right-most column

Running Rawhide GNOME. Downgrading to 
xorg-x11-drv-nouveau-0.16-6.20100423git13c1043.fc13.x86_64 did not resolve the problem. However, downgrading the mesa drivers to 
 mesa-dri-drivers-7.8.1-6.fc13.x86_64
 mesa-dri-drivers-experimental-7.8.1-6.fc13.x86_64
 mesa-libGLU-7.8.1-6.fc13.x86_64
 mesa-libGL-7.8.1-6.fc13.x86_64
from version 7.0-0.2.fc14.x86_64 (running
xorg-x11-drv-nouveau-0.16-7.20100423git13c1043.fc13.x86_64)
SEEMS to have resolved not only my rendering issue, but random system lockups while viewing an image with gthumb and issues related to the display of text being typed on the command line in gnome-terminal.
Comment 3 Bug Zapper 2011-06-01 10:51:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alexei Panov 2011-06-08 15:25:42 EDT
I have not seen this bug in fedora 14 and 15. even managed to forget about it.
Comment 5 Ben Skeggs 2011-06-08 18:33:47 EDT
Thanks Alexei!

Note You need to log in before you can comment on or make changes to this bug.